/**
  *  \file client/history.h
  *  \brief Screen History
  *
  *  (c) 2001-2021 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_CLIENT_HISTORY_H
#define PCC_V2_CLIENT_HISTORY_H

#include "client/screens.h"

void clearScreenHistory();
void pushHistoryScreenId(WScreenId id);
bool popHistoryScreenId(bool current_screen_registered);
bool doScreenHistoryDialog(bool current_screen_registered);

extern const struct ModuleInitializer mod_history[];

#endif
